org.jboss.netty.util

## Interface ExternalResourceReleasable

- All Known Subinterfaces:
    ChannelFactory, ClientSocketChannelFactory, DatagramChannelFactory, FileRegion, LocalClientChannelFactory, LocalServerChannelFactory, ServerChannelFactory, ServerSocketChannelFactory
  All Known Implementing Classes:
    AbstractNioWorkerPool, AbstractTrafficShapingHandler, Bootstrap, ChainedExecutor, ChannelTrafficShapingHandler, ClientBootstrap, ConnectionlessBootstrap, DefaultFileRegion, DefaultLocalClientChannelFactory, DefaultLocalServerChannelFactory, ExecutionHandler, GlobalTrafficShapingHandler, HttpTunnelingClientSocketChannelFactory, IdleStateHandler, NioClientSocketChannelFactory, NioDatagramChannelFactory, NioDatagramWorkerPool, NioServerSocketChannelFactory, NioWorkerPool, OioClientSocketChannelFactory, OioDatagramChannelFactory, OioServerSocketChannelFactory, ReadTimeoutHandler, ServerBootstrap, WriteTimeoutHandler

      public interface ExternalResourceReleasable

  A common interface for a class which depends on external resources that need explicit release or shutdown.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `releaseExternalResources()` Releases the external resources that this object depends on.

- - ### Method Detail

    - #### releaseExternalResources

          void releaseExternalResources()

      Releases the external resources that this object depends on. You should not call this method if the external resources (e.g. thread pool) are in use by other objects.

Copyright © 2008-2012 The Netty Project. All Rights Reserved.